#define E 2.71828

#define FOGEND = 2000;
#define FOGSTART = 10;
#define FOGDENSITY = 0.002;


float3 g_fogColor = float3(188.f,196.f,197.f) / 255.f;

float CalcFogFactor( float d, float3 CameraVec)
{
    float fogCoeff = 1.0;
    
	CameraVec = normalize(CameraVec);

	float dens = 1 - pow(max(dot(CameraVec,float3(0,1,0)),0),1.1);

	dens = dens * 0.002;
	
	fogCoeff = 1.0 / pow( E, d*d*dens*dens );

    return clamp( fogCoeff, 0.015, 1 );
}
